#! /bin/bash

. ./helper.sh

if [ ! -z "$*" ]; then
        machines="$*"
fi

for mach in $machines
do
        scp sources.list-maverick ${mach}.canonical.com:.
        ssh ${mach}.canonical.com sudo "LC_ALL=C cp sources.list-maverick /etc/apt/sources.list ;\
                sudo LC_ALL=C apt-get -q update ;\
                sudo LC_ALL=C apt-get -q -y install python-software-properties;\
                sudo LC_ALL=C add-apt-repository ppa:davewalker/uec-devel;\
                sudo LC_ALL=C apt-get -q update;\
                sudo LC_ALL=C apt-get -q -y dist-upgrade"
done

